#!/usr/bin/env python3
# -*- coding: utf-8 -*-pt"""
"""
Purpose: To convert temperature from Fahrenheit to Celsius
         where the temperature to be converted is input from 
         the console 
         
Author: Mary Poppins 
Date: 12/9/19 

Data Dictionary:
    temp_fahrenheit  temperature in Fahrenheit to be converted to
                     Celsius
    temp_celsius     temperature in Celsius (final result)
    
Method:
    Use the formula Celsius = (Fahrenheit - 32) * 5 / 9
    
"""

# Constants
MELTING_POINT_FAHRENHEIT = 32
RATIO = 5/9 # Scaling factor for conversion

# The temperature in Fahrenheit to be converted
temp_fahrenheit = 80 # Change here if needed


# Convert to Celsius using standard formula 
temp_celsius = (temp_fahrenheit - MELTING_POINT_FAHRENHEIT) * RATIO

# Output the temperature in Celsius
print(temp_fahrenheit,'in F = ',temp_celsius,'in C')

